
Infrastructure - Feature #1223

parameterless listObject methods in d1_libclient_java

2011-01-12 23:41 - Rob Nahf

Status: Closed Start date: 2011-01-13

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.02   

Milestone:  Story Points:  

Product Version: *   

Description

MNode.listObject(....) does not allow parameterless URLs to be created, and some parameters of the method cannot be set to null 

(replicaStatus,start,count)

What would be best is a base method (where everything is "null-able") along with convenience methods

Need to keep in mind that CNode subclasses do not support AuthTokens.

Subtasks:

Task # 1231: refactor MN.listObjects(...) method to allow no parameters Closed

Task # 1228: create parameterless listObjects() in D1Node Closed

History

#1 - 2011-01-12 23:49 - Rob Nahf

- Category set to d1_libclient_java

- Assignee set to Rob Nahf

- % Done changed from 0 to 40

created a parameterless listObjects() in D1Node.java as a temporary solution for integration testing.

#2 - 2011-01-15 00:00 - Rob Nahf

- Status changed from In Progress to Closed
